Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  class Global extends SymbolTable with Closeable with CompilationUnits with Plugins with PhaseAssembly with Trees with Printers with DocComments with Positions with Reporting with Parsing
  Definition Classes
    nsc
-  class Run extends RunContextApi with RunReporting with RunParsing

  A Run is a single execution of the compiler on a set of units.

  A Run is a single execution of the compiler on a set of units.

  Definition Classes
    Global
- trackerFactory

o

scala.tools.nsc.Global.Run

# trackerFactory

###

#### object trackerFactory extends SymbolTrackers

Source
  Global.scala

Linear Supertypes
SymbolTrackers, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. trackerFactory
2. SymbolTrackers
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  case class Change(added: Set[Global.Symbol], removed: Set[Global.Symbol], trees: Map[Global.Symbol, Set[Global.Tree]], owners: Map[Global.Symbol, Global.Symbol], flags: Map[Global.Symbol, Long]) extends Product with Serializable
   Definition Classes
     SymbolTrackers
2.  trait Hierarchy extends AnyRef

   Reversing the direction of Symbol's owner arrow.

   Reversing the direction of Symbol's owner arrow.

   Definition Classes
     SymbolTrackers
3.  class SymbolTracker extends AnyRef
   Definition Classes
     SymbolTrackers

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  val global: Global.this.type
    Definition Classes
      trackerFactory → SymbolTrackers
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  def snapshot(): Unit
17.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
18.  def toString(): String
    Definition Classes
      AnyRef → Any
19.  lazy val trackers: collection.immutable.List[SymbolTracker]
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
23.  object SymbolTracker
    Definition Classes
      SymbolTrackers

### Inherited from SymbolTrackers

### Inherited from AnyRef

### Inherited from Any

### Ungrouped